package output

import (
	"fmt"
	"io"
	"strings"

	"git.bissendorf.co/bissendorf/unifood/m/v2/core/interfaces"
)

type GoFormatter struct{}

func (f *GoFormatter) Format(list *interfaces.ResourceList) (io.Reader, error) {
	return strings.NewReader(fmt.Sprintf("%#v", list)), nil
}
